# Preview
![Preview](https://media.discordapp.net/attachments/749076478146117733/1080225904074178810/image.png?width=1127&height=634)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![portrait1] | Cell | Skills |
| ![primary] | Primary: Perfected Combo | Heavy hitting strikes for 230% damage. Successful hits grant +10 Ki. |
| ![secondary] | Secondary: Ki Blast | Quickly fire 5 homing energy balls for damage each. |
| ![utility] | Utility: Maximum Charge | Regenerate 25 Ki per second. |
| ![special] | Special [Switch]: Supernova | Launch a massive ball of energy that explodes on contact with an enemy for 1400% damage. |
| ![specialAlt] | Special [Switch]: Kamehameha | Fires a fast, but short ranged, blade-shaped Ki Blast for 900% damage, and leaves a lingering field of damaging Ki along the path it traveled that deals 1250% damage. |

| Icon | Powerup | Stat Boost |
| ------------- | ----------- | ------------------------------------ |
| ![portrait1] | Cell (Imperfect) | +100% All stats |
| ![portrait2] | Cell (Semi-Perfect) | +200% All stats |
| ![portrait3] | Cell (Perfect) | +300% All stats |
| ![portrait4] | Cell (Super Perfect) | +400% All stats |
| ![portrait5] | Cell (Max) | +500% All stats |

[stat]: https://cdn.discordapp.com/attachments/749076478146117733/1055248227055697980/Status_Weak.png
[primary]: https://media.discordapp.net/attachments/749076478146117733/1080221460137775206/primary.png
[secondary]: https://media.discordapp.net/attachments/749076478146117733/1055236693042675742/m2alt.png
[utility]: https://media.discordapp.net/attachments/749076478146117733/1080221460422991903/utility.png
[special]: https://media.discordapp.net/attachments/749076478146117733/1080221586520559637/supernovaIcon.png
[specialAlt]: https://media.discordapp.net/attachments/749076478146117733/1055236694368080023/special.png

[portrait1]: https://media.discordapp.net/attachments/749076478146117733/1080213134997999686/portrait.png
[portrait2]: https://media.discordapp.net/attachments/749076478146117733/1080213135266414664/portrait2.png
[portrait3]: https://media.discordapp.net/attachments/749076478146117733/1080213135522287626/portrait3.png
[portrait4]: https://media.discordapp.net/attachments/749076478146117733/1080213135522287626/portrait3.png
[portrait5]: https://media.discordapp.net/attachments/749076478146117733/1080213135832657920/portrait5.png

- How flight works:
  - Hold jump to activate flight. You can hover (run) for no ki cost, but you can only Sprint at the cost of Ki. Sprinting gives you bonus speed on top of default sprinting bonus.
  - Press jump again to disable flight.
  
- Transformation system and features:
  - Transformations are permanent. Meaning you work towards the next transformation throughout the run.
  - There is a new Powerup bar, that is displayed on top of the Ki bar. It fills up with actions, which are: Dealing damage, killing enemies + bonus for Bosses/Elites and a bonus every 100 enemies killed, spending Ki and getting items + more powerup with higher tiers. When this bar fills up, your utility skill is overriden by a powerup skill. Activating it, instantly achieves your next transformation.
  - The multipliers for each action gain is configurable, and they're separate for each transformation.
  - All transformations stat multipliers are configurable, and there is also a config for enabling each one as a separate selectable survivor.
  
# Commission

Wanna commission your own Dragon Ball survivor? DM me:
- Discord Contact: Dragonyck#4653

# Team
This team is my commissions account. It is composed of me (Dragonyck) and Madik. 

If you wanna check my personal projects, they're on my main account:

[![plug](https://cdn.discordapp.com/attachments/749076478146117733/1014954008059842720/unknown.png)](https://thunderstore.io/package/Dragonyck/)

Other projects I developed:

[Koko's Item Box](https://thunderstore.io/package/SeizaKokoro/KokosItemBox/)

[Super Void Barnacle](https://thunderstore.io/package/Contraplayingmodded/SuperVoidBarnacle/)

[KatarinaV2 - Skills Only](https://thunderstore.io/package/Nines/Katarina/)

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Cell" dll to your plugins folder

3 - Have fun!

# Credits
SenseiJamesX - Bug testing, overall balance, and for commissioning this awesome mod. 

Dragonyck - Mod author, Cell Max model.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.0.0` 
- Release
